#pragma once

namespace mini
{
    namespace audio
    {
        void init();
        void quit();
        
        namespace music
        {
            void play(const char *filename, const int loop=-1);
            void pause();
            void resume();
            void stop(const int t=1000);
            namespace pos {
                void set(float value);
                float get();
            }
            namespace enable {
                void set(const bool value);
                const bool get();
            }
        }

        namespace sound
        {
            int load(const char *filename);
            void free(int soundfile);
            int play(int soundfile, const int volume=-1);
            void stop(int soundchannel);
            namespace enable {
                void set(const bool value);
                const bool get();
            }
        }
    }
}